Skip to main content
POST
/
v1
/
people
/
{id}
/
employment-evidence
/
{eventType}
Upload employment evidence
curl --request POST \
  --url https://api.trycomp.ai/v1/people/{id}/employment-evidence/{eventType} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "fileName": "document.pdf",
  "fileType": "application/pdf",
  "fileData": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAHggJ/PchI7wAAAABJRU5ErkJggg=="
}
'

Documentation Index

Fetch the complete documentation index at: https://www.trycomp.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

Member ID

Example:

"mem_abc123def456"

eventType
enum<string>
required
Available options:
onboard,
offboard

Body

application/json
fileName
string
required

Name of the file

Maximum string length: 255
Example:

"document.pdf"

fileType
string
required

MIME type of the file

Example:

"application/pdf"

fileData
string
required

Base64 encoded file data

Example:

"iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mP8/5+hHgAHggJ/PchI7wAAAABJRU5ErkJggg=="

description
string

Description of the attachment

Maximum string length: 500
Example:

"Meeting notes from Q4 planning session"

userId
string

User ID of the user uploading the attachment (required for API key auth, ignored for JWT auth)

Example:

"usr_abc123def456"

Response

201 - undefined